    <Location />
        RewriteEngine On
{% if add_apache_configuration__configuration.ldap.open_uris | default([]) %}
{% for uri in add_apache_configuration__configuration.ldap.open_uris %}
        RewriteCond %{REQUEST_URI} !^{{ uri }}
{% endfor %}
{% endif %}
        RewriteCond %{HTTP_COOKIE} !ldap-{{ custom_cookie_authname }}
        RewriteRule ^((?!/http-check/index.gif).)*$ /ldap-authentication.html [R=302,L]
    </Location>

    # Configure LDAP Auth Basic based
    <Location /ldap-authentication.html>
        # Configure LDAP authentication
        AuthType Basic
        AuthName "LDAP Authentication for {{ add_apache_configuration__configuration.name }}"
        AuthBasicProvider ldap
        AuthLDAPURL "{{ add_apache_configuration__configuration.ldap.url }}"

        AuthLDAPBindDN "{{ add_apache_configuration__configuration.ldap.dn }}"
        AuthLDAPBindPassword "{{ add_apache_configuration__configuration.ldap.password }}"

        AuthLDAPGroupAttribute member
        AuthLDAPSubGroupClass group
        AuthLDAPMaxSubGroupDepth 0
        AuthLDAPGroupAttributeIsDN on

        # Define groups allowed to access
        {% for ldap_group in add_apache_configuration__configuration.ldap.required_groups %}
        Require ldap-group {{ ldap_group }}
        {% endfor %}

        Header  set Set-Cookie "ldap-{{ custom_cookie_authname }}={{ custom_cookie_value }}; Max-Age=3600"
        RewriteEngine On
        RewriteCond %{HTTP_COOKIE} ldap-{{ custom_cookie_authname }}
        RewriteRule .* / [R=302,L]
    </Location>

{% if add_apache_configuration__configuration.proxy.enabled | default(false) %}
        ProxyPass /ldap-authentication.html !
{% endif %}
